Subject: Re: bug#32990: 26.1.50; isearch-forward + t-m-m/mark-active doc

From: Juri Linkov <[email-masked]>
Date: Mon, 19 Nov 2018 23:44:04 +0200

> Please try the change at the end of this message.

Thanks, I tried, and have one suggestion: due to the long menu it
doesn't fit into the frame's height, so to click an item at the end of
the menu requires scrolling that takes time to scroll.  I suggest to
create more submenus, for example, a Yank submenu for all yank commands.

> The Isearch menu now works when clicking the mode-line indicator and

I tried clicking Isearch items in the mode-line indicator such as
"Repeat search forward", but it cancels Isearch (and leaves Isearch
highlighting).

> tmm-menubar (M-`)/TTY menus (F10 from TTYs) should now work as
> expected (no need to set `isearch-allow-scroll' to t).

>From tmm I tried "C==>Cancel last input item DEL", but it does nothing.
Do you see the same?

>  (or (assq 'isearch-mode minor-mode-alist)
>      (nconc minor-mode-alist
> -	   (list '(isearch-mode isearch-mode))))
> +	   (list '(isearch-mode " Isearch"))))

This duplicates the constant string " Isearch" in two places.
Why this change was necessary?

> @@ -2564,7 +2788,8 @@ isearch-post-command-hook
>          (when isearch-forward
>            (goto-char isearch-pre-move-point))
>          (isearch-search-and-update)))
> -    (setq isearch-pre-move-point nil))))
> +    (setq isearch-pre-move-point nil)))
> +  (force-mode-line-update))

What problems caused adding force-mode-line-update?